<?php

namespace Slimco\Slimco\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SlimcoTransformer extends TransformerAbstract
{
    public function transform(\Slimco\Slimco\Models\Slimco $slimco)
    {
        return [
            'id'                => $slimco->getRouteKey(),
            'key'               => [
                'public'    => $slimco->getPublicKey(),
                'route'     => $slimco->getRouteKey(),
            ], 
            'users'             => $slimco->users,
            'url'               => [
                'public'    => trans_url('slimco/'.$slimco->getPublicKey()),
                'user'      => guard_url('slimco/slimco/'.$slimco->getRouteKey()),
            ], 
            'status'            => trans('app.'.$slimco->status),
            'created_at'        => format_date($slimco->created_at),
            'updated_at'        => format_date($slimco->updated_at),
        ];
    }
}